package com.bjtdba.system.service;


import com.bjtdba.entity.system.SystemGroupData;

import java.util.List;

/**
 * 组合数据详情表(SystemGroupData)表服务接口
 *
 * @author makejava
 * @since 2022-10-16 09:28:38
 */
public interface SystemGroupDataService {

    /**
     * 通过ID查询单条数据
     *
     * @param groupDataId 主键
     * @return 实例对象
     */
    SystemGroupData queryById(Long groupDataId);

    /**
     * 分页查询
     *
     * @param systemGroupData 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    List<SystemGroupData> queryByPage(SystemGroupData systemGroupData);

    /**
     * 新增数据
     *
     * @param systemGroupData 实例对象
     * @return 实例对象
     */
    SystemGroupData insert(SystemGroupData systemGroupData);

    /**
     * 修改数据
     *
     * @param systemGroupData 实例对象
     * @return 实例对象
     */
    SystemGroupData update(SystemGroupData systemGroupData);

    /**
     * 通过主键删除数据
     *
     * @param groupDataId 主键
     * @return 是否成功
     */
    boolean deleteById(Long groupDataId);

    /**
     * 通过systemGroup 的key查询groupData的值
     * @param key
     * @return
     */
    List<String> getsystemGroupDataListbyKey(String key);

}
